---
title: Window.stop()
slug: Web/API/Window/stop
tags:
  - API
  - DOM
  - HTML DOM
  - Method
  - Reference
  - Window
  - stop
---
<div> {{APIRef}}</div>

<div><span class="seoSummary">The <strong><code>window.stop()</code></strong> stops further resource loading in the current browsing context, equivalent to the stop button in the browser.</span></div>


<div>Because of how scripts are executed, this method cannot interrupt its parent document's loading, but it will stop its images, new windows, and other still-loading objects.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.stop()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">window.stop();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','browsers.html#dom-window-stop','Window.stop()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-window-stop', 'Window.stop')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.stop")}}</p>
